Bug 47572 - It would be nice if apr configure --with-dbm=xdbm would imply --with-xdbm
Summary: It would be nice if apr configure --with-dbm=xdbm would imply --with-xdbm
Status: NEW
Alias: None
Product: APR
Classification: Unclassified
Component: APR (show other bugs)
Version: HEAD
Hardware: All All
: P5 enhancement (vote)
Target Milestone: ---
Assignee: Apache Portable Runtime bugs mailinglist
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-07-24 06:29 UTC by Dan Poirier
Modified: 2009-08-10 09:26 UTC (History)
2 users (show)



Attachments
Patch to enable --with-gdbm if --with-dbm=gdbm was requested (527 bytes, patch)
2009-08-10 09:25 UTC, Dan Poirier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Poirier 2009-07-24 06:29:30 UTC
When I configure apr to use gdbm:

./configure --with-dbm=gdbm

but forget to include --with-gdbm, then apr gets built in a way that requires apr_gdbm, but doesn't build apr_gdbm.  The result is that code that tries to use apr_dbm, e.g. htdbm, fails.

It would be nice if specifying --with-dbm=gdbm would automatically add --with-gdbm, or at least result in an error if --with-gdbm wasn't specified.

I assume the same occurs with other choices for --with-dbm, but haven't checked yet.

I'll look into this further when I have time, but I'm a novice with autoconf, so if someone who knows this area better wants to look at it, that's fine with me.
Comment 1 Dan Poirier 2009-08-10 09:25:53 UTC
Created attachment 24123 [details]
Patch to enable --with-gdbm if --with-dbm=gdbm was requested

Here's a patch that seems to do what I would like.  An alternative would be to fail the configure if --with-dbm=gdbm was requested and it didn't find gdbm, whether because no --with-gdbm was given or it's just not installed.  I'm open to advice on which fits better with the usual practice for autoconf.